%define	module	Net-Akismet
%define	name	perl-%{module}
%define	version	0.03
%define	release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl interface to Akismet - comment and trackback spam fighter 
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/N/NI/NIKOLAY/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
BuildRoot:	%{_tmppath}/%{name}-%{version}
Buildrequires:	perl-devel
BuildRequires:	perl(LWP::UserAgent)
Requires:	perl 
Buildarch:	noarch

%description
Net::Akismet is a Perl interface to Akismet, a comment and trackback
spam fighter.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%{perl_vendorlib}/Net/Akismet.pm
%{_mandir}/*/*


%changelog
* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.03-1mdv2008.1
+ Revision: 140692
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 30 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-1mdv2008.0
+ Revision: 75228
- update to new version 0.03

* Sat Aug 11 2007 Olivier Blin <oblin@mandriva.com> 0.02-1mdv2008.0
+ Revision: 61932
- buildrequire perl(LWP::UserAgent) for tests
- initial perl-Net-Akismet release
- Create perl-Net-Akismet

